## Apache Zeta Components Manual :: Docs For Class ezcWebdavHeadRequest

### Webdav::ezcWebdavHeadRequest

### Class ezcWebdavHeadRequest

Abstract representation of a HEAD request.

An instance of this class represents the WebDAV HEAD request.

Source for this file: /Webdav/src/requests/head.php

    ezcWebdavRequest
       |
       --ezcWebdavHeadRequest

Version: | //autogentag//

### Inherited Constants

From ezcWebdavRequest:
`ezcWebdavRequest::DEPTH_INFINITY` |
`ezcWebdavRequest::DEPTH_ONE` |
`ezcWebdavRequest::DEPTH_ZERO` | Constants for the 'Depth' headers and property fields.

### Inherited Member Variables

From ezcWebdavRequest
protected | `ezcWebdavRequest::$headers`
protected | `ezcWebdavRequest::$properties`

### Inherited Methods

From ezcWebdavRequest
public void | `ezcWebdavRequest::__construct()` Creates a new request object.
public mixed | `ezcWebdavRequest::getHeader()` Returns the contents of a specific header.
public void | `ezcWebdavRequest::setHeader()` Sets a header to a specified value.
public void | `ezcWebdavRequest::setHeaders()` Sets a header to a specified value.
public void | `ezcWebdavRequest::validateHeaders()` Validates the headers set in this request.

Documentation generated by phpDocumentor 1.4.3